using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel.Configuration;

namespace SalesforceIntegration.WcfExtensions
{
    public class InlineXSDInWSDLElement : BehaviorExtensionElement
    {
        public override Type BehaviorType
        {
            get { return typeof(InlineXSDInWSDLBehavior); }
        }

        protected override object CreateBehavior()
        {
            try
            {
                return new InlineXSDInWSDLBehavior();
            }
            catch (Exception e)
            {
                throw new ApplicationException("Unable to create service behaviour", e);
            }
        }
    }
}